Debian Bug report logs - #556406
hplip-cups: Cups reports "/usr/lib/cups/backend/hp failed"

version graph

Package: hplip-cups; Maintainer for hplip-cups is Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>; Source for hplip-cups is src:hplip.

Reported by: Phil Dibowitz <phil@ipom.com>

Date: Sun, 15 Nov 2009 20:03:04 UTC

Severity: important

Found in version hplip/3.9.8-1

Fixed in versions hplip/3.9.10-1, hplip/3.9.2-2, 3.9.8-2

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>:
Bug#556406; Package hplip-cups. (Sun, 15 Nov 2009 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Dibowitz <phil@ipom.com>:
New Bug report received and forwarded. Copy sent to Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>. (Sun, 15 Nov 2009 20:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Phil Dibowitz <phil@ipom.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hplip-cups: Cups reports "/usr/lib/cups/backend/hp failed"
Date: Sun, 15 Nov 2009 21:00:27 +0100
Package: hplip-cups
Version: 3.9.8-1
Severity: important


No jobs will print on my HP Deskjet 895C due to "/usr/lib/cups/backend/hp
failed".

I've tried all of the matching drivers:

   HP Deskjet 895C - CUPS+Gutenprint v 5.2.4 (en)
   HP Deskjet 895c, hpcups 3.9.8 (en)

But always the same thing, the job ends up with "/usr/lib/cups/backend/hp
failed" as it's status.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages hplip-cups depends on:
ii  cups                         1.4.2-1     Common UNIX Printing System(tm) - 
ii  cups-client                  1.4.2-1     Common UNIX Printing System(tm) - 
ii  cupsddk                      1.2.3-5     CUPS Driver Development Kit
ii  ghostscript-cups             8.70~dfsg-2 The GPL Ghostscript PostScript/PDF
ii  hplip                        3.9.8-1     HP Linux Printing and Imaging Syst
ii  libc6                        2.9-23      GNU C Library: Shared libraries
ii  libcups2                     1.4.2-1     Common UNIX Printing System(tm) - 
ii  libcupsimage2                1.4.2-1     Common UNIX Printing System(tm) - 
ii  libdbus-1-3                  1.2.16-2    simple interprocess messaging syst
ii  libgcc1                      1:4.3.3-8   GCC support library
ii  libjpeg62                    6b-15       The Independent JPEG Group's JPEG 
ii  libssl0.9.8                  0.9.8k-6    SSL shared libraries
ii  libstdc++6                   4.3.3-8     The GNU Standard C++ Library v3

hplip-cups recommends no packages.

Versions of packages hplip-cups suggests:
pn  hplip-doc                     <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>:
Bug#556406; Package hplip-cups. (Tue, 16 Feb 2010 16:09:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to woody <caowm2001@yahoo.com.cn>:
Extra info received and forwarded to list. Copy sent to Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>. (Tue, 16 Feb 2010 16:09:46 GMT) Full text and rfc822 format available.

Message #10 received at 556406@bugs.debian.org (full text, mbox):

From: woody <caowm2001@yahoo.com.cn>
To: 556406@bugs.debian.org
Subject: Cups reports "/usr/lib/cups/backend/hp failed"
Date: Tue, 16 Feb 2010 23:37:00 +0800 (CST)
Hello ,
today I just set up an HP_LaserJet_M1005 ,
 which was a USB multi-function printer and scanner.
It was unable to print anything , and says ,
	"usr/lib/cups/backend/hp failed"
I turned the cups log level to "debug" and saw:
	Feb 16 22:24:46 hp[6227]: io/hpmud/musb.c 1108: unable to open hp:/usb/HP_LaserJet_M1005?serial=KJ242KT
	Feb 16 22:24:46 hp[6227]: prnt/backend/hp.c 745: ERROR: open device failed stat=12: hp:/usb/HP_LaserJet_M1005?serial=KJ242KT
I checked the device permissions,
	$stat /dev/bus/usb/004/002
	...
	Access: (0664/crw-rw-r--)  Uid: (    0/    root)   Gid: (  118/ scanner)
	...
After changing to the a=rw mode I succesfully made it print .
Alternately , changing it to group "lp" may also work , if anyone want a try .
As the device is both printer and scanner ,
 assigning it to either group will forbit the other to function .
Should we impletement an ACL that both lp and scanner group own it ?
Thanks .


      




Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. (Tue, 06 Apr 2010 11:18:27 GMT) Full text and rfc822 format available.

Notification sent to Phil Dibowitz <phil@ipom.com>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 11:18:27 GMT) Full text and rfc822 format available.

Message #15 received at 556406-done@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: woody <caowm2001@yahoo.com.cn>, 556406-done@bugs.debian.org
Subject: Re: Bug#556406: Cups reports "/usr/lib/cups/backend/hp failed"
Date: Tue, 6 Apr 2010 20:12:44 +1000
[Message part 1 (text/plain, inline)]
Package: hplip
Version: 3.9.2-2


As of this version hplip.NEWS advises that the user is required to be in the "lp" group to enable
printing/ scanning functionality.

hplip (3.9.2-2) unstable; urgency=low

  * Use Christopher Martin's debian/hplip.udev - group lp
    - hplip.NEWS advises users to use group lp
       - group scanner is depreciated to match upstream
    - (Closes: #517297) "hplip udev rules never match" 
  * hpdio_settings_dialog.dpatch also fixes:
    - (Closes: #503723) hplip: python /usr/bin/hp-systray at 100% CPU
    - Fixes "[hplip] hp-systray at 100% CPU" (Closes: #519696)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Mar 2009 10:52:32 +1100

http://hplipopensource.com/node/332#printing2

On Wednesday 17 February 2010 02:37:00 woody wrote:
> Alternately , changing it to group "lp" may also work , if anyone want a try .
> As the device is both printer and scanner ,
>  assigning it to either group will forbit the other to function .

I shall also add to a hplip-cups.NEWS file.

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>:
Bug#556406; Package hplip-cups. (Tue, 20 Apr 2010 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to salahuddin66 <salahuddin66@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>. (Tue, 20 Apr 2010 07:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 556406@bugs.debian.org (full text, mbox):

From: salahuddin66 <salahuddin66@gmail.com>
To: 556406@bugs.debian.org
Subject: Re: Bug#556406: Cups reports "/usr/lib/cups/backend/hp failed"
Date: Tue, 20 Apr 2010 14:21:55 +0700
The problem solved after installing "gs-esp" package.

apt-get install gs-esp




Bug Marked as fixed in versions 3.9.8-2. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Tue, 20 Apr 2010 09:30:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions hplip/3.9.10-1. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Tue, 20 Apr 2010 09:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 May 2010 07:31:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:58:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.